Page MenuHomePhabricator

Abbreviations for namespaces to ruwikiquote
Closed, ResolvedPublic

Description

Required to make abbreviations for namespaces in Russian Wikiquote (see https://ru.wikiquote.org/wiki/Викицитатник:Форум#Сокращения).

Sysop @OlegCinema asked in this post on the forum so that someone wrote this request to the Phabricator.

Abbreviations:

'Шаблон' ('Template') - 'T' or 'Ш';

'Обсуждение участника' ('User talk') - 'UT' or 'ОУ';

'Участник' ('User') - 'У' or 'U'

'Категория' ('Category') - 'К'

'Модуль' ('Module') - 'М'

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 13 2018, 4:05 AM
OlegCinema changed the task status from Open to Stalled.Jun 13 2018, 4:11 AM

Hello! I ask you to postpone this task for 8 days so that the community can find a consensus. Thanks.

OlegCinema changed the task status from Stalled to Open.Jun 20 2018, 8:22 AM
<ns id="2" xml:space="preserve">У</ns>
<ns id="2" xml:space="preserve">U</ns>
<ns id="2" xml:space="preserve">User</ns>
<ns id="3" xml:space="preserve">ОУ</ns>
<ns id="3" xml:space="preserve">UT</ns>
<ns id="10" xml:space="preserve">Ш</ns>
<ns id="10" xml:space="preserve">T</ns>
<ns id="14" xml:space="preserve">К</ns>
<ns id="828" xml:space="preserve">М</ns>

The community has approved, so what can be done.

Restricted Application added a project: User-Urbanecm. · View Herald TranscriptJun 20 2018, 8:23 AM

Change 441988 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Add some namespace aliases to ruwikiquote

https://gerrit.wikimedia.org/r/441988

Urbanecm triaged this task as Medium priority.Jun 25 2018, 9:55 PM
Urbanecm moved this task from Backlog to To deploy on the User-Urbanecm board.
Urbanecm moved this task from Backlog to To deploy on the Wikimedia-Site-requests board.

Change 441988 merged by jenkins-bot:
[operations/mediawiki-config@master] Add some namespace aliases to ruwikiquote

https://gerrit.wikimedia.org/r/441988

Mentioned in SAL (#wikimedia-operations) [2018-06-26T13:06:52Z] <hashar@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Add some namespace aliases to ruwikiquote - T197058 (duration: 00m 56s)

hashar closed this task as Resolved.Jun 26 2018, 1:10 PM
hashar added a subscriber: hashar.

Before deployment:

$ mwscript namespaceDupes.php --wiki=ruwikiquote
0 pages to fix, 0 were resolvable.

0 links to fix, 0 were resolvable.

After:

$ mwscript namespaceDupes.php --wiki=ruwikiquote --fix
id=44102 ns=0 dbk=У:OlegCinema/ИЦ -> Участник:OlegCinema/ИЦ (no conflict)
1 pages to fix, 1 were resolvable.

pagelinks from=44037 ns=0 dbk=T:str_left -> Шаблон:Str_left
1 links to fix, 1 were resolvable.

Finally:

$ mwscript namespaceDupes.php --wiki=ruwikiquote
0 pages to fix, 0 were resolvable.

0 links to fix, 0 were resolvable.
Vvjjkkii renamed this task from Abbreviations for namespaces to ruwikiquote to h5aaaaaaaa.Jul 1 2018, 1:04 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Urbanecm as the assignee of this task.
Vvjjkkii raised the priority of this task from Medium to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii edited subscribers, added: Urbanecm; removed: gerritbot, Aklapper.
Restricted Application added a subscriber: Dereckson. · View Herald TranscriptJul 1 2018, 1:04 AM
Marshmallych renamed this task from h5aaaaaaaa to Abbreviations for namespaces to ruwikiquote.Jul 1 2018, 11:51 AM
Marshmallych closed this task as Resolved.
Marshmallych assigned this task to Urbanecm.
Marshmallych lowered the priority of this task from High to Medium.
Marshmallych updated the task description. (Show Details)
Marshmallych added a subscriber: gerritbot.
Marshmallych removed subscribers: Dereckson, hashar, Stashbot.
Marshmallych updated the task description. (Show Details)Jul 1 2018, 2:20 PM